Package org.bukkit.material

# Interface Openable

All Known Implementing Classes:
  `Door`, `Gate`, `TrapDoor`

public interface Openable

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isOpen()`
Check to see if the door is open.
`void`
`setOpen(boolean isOpen)`
Configure this door to be either open or closed;

## Method Details

### isOpen

boolean isOpen()
Check to see if the door is open.

Returns:
  true if the door has swung counterclockwise around its hinge.

### setOpen

void setOpen(boolean isOpen)
Configure this door to be either open or closed;

Parameters:
  `isOpen` - True to open the door.